<template>
  <div class="text-black mt-3 mb-3">
    <div class="bg-white pt-4 pb-1 pr-1 pl-4 rounded-sm">
      <div>
        <div>
          ID: <span>{{ betList?.RefNo }}</span>
        </div>
        <div>
          {{
            textHelper.dateStringTo12HourClock(String(betList?.OrderTime), true)
          }}
        </div>
        <div>
          Odds:
          <span class="text-blue-500"
            >{{ betList?.MainBetOdds
            }}<small class="text-blue-300">
              ({{ betList?.OddsStyle }})</small
            ></span
          >
        </div>
        <div>
          Stake:
          <span
            >{{ betList?.Currency }}{{ betList?.Stake }}
            <small>({{ betList?.ActualStake }})</small></span
          >
        </div>
        <div>
          Redeem:
          <span v-if="betList?.IsRedeem" class="text-green-500">Enabled</span
          ><span v-else class="text-red-500">Disabled</span>
        </div>
      </div>
      <div class="w-full flex justify-end">
        <div :id="`printBetList${betList?.RefNo}`" class="hidden">
          <bet-list-print :sport-bet="betList"></bet-list-print>
        </div>
        <el-button
          type="primary"
          plain
          round
          @click="printBetList(`printBetList${betList?.RefNo}`)"
        >
          <font-awesome-icon icon="print" />{{ $t("print") }}</el-button
        >
      </div>
    </div>
    <div
      v-for="(item, index) in betList?.BetDetails"
      :key="index"
      class="bg-white py-1 rounded-sm borderDashed"
    >
      <div class="flex justify-between items-center">
        <div class="bg-background1 fc-text2 px-5 py-1 font-bold capitalize">
          {{ betList?.MainBetSportsType }}
        </div>
        <div
          class="bg-red-500 rounded-l-2xl px-5 flex items-center h-6 font-bold capitalize"
        >
          {{ betList?.Status }}
        </div>
      </div>
      <div class="pl-4 pr-1">
        <div class="font-bold">
          <span class="text-red-500">Under </span>{{ item.HandicapPoint
          }}<span class="text-red-500"> @</span> {{ item.SubBetOdds }}
        </div>
        <div>
          {{ item.SportType }} {{ item.MarketType }}
          <span class="text-red-500">Live!{{ item.LiveScore }}</span>
        </div>
        <div>{{ item.HomeTeam }} -vs- {{ item.AwayTeam }}</div>
        <!-- <div>e-Football F22 Elite Club Friendly 2022-08-23</div> -->
        <div>{{ item.CustomizedBetType }}</div>
        <div>{{ item.HomeTeam }} -vs- {{ item.AwayTeam }}</div>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent, PropType } from "vue";
import { ResponseSportBets } from "@/models/theme/lite/PureLite";
import textHelper from "@/utils/formatHelpers/textFormatHelper";

export default defineComponent({
  name: "MobileBetListCard",
  props: {
    betList: {
      required: true,
      type: Object as PropType<ResponseSportBets>,
    },
  },
  setup() {
    const printBetList = (areaID: string) => {
      const divContents = document.getElementById(areaID)?.innerHTML;
      const newWindow = window.open(
        window.location.href,
        "",
        "height=900, width=1000"
      );
      newWindow?.document.write("<html>");
      newWindow?.document.write(
        `<head><title>${window.location.href}</title><style lang="scss">`,
        "table td { border: 1px solid #777; padding: 5px;}",
        "table tr > td:first-child{font-weight: 600;}",
        "table tr > td span {display: block;}",
        "table tr > td div {padding: 5px 0;}",
        "table tr > td div:not(:first-child):not(:last-child){border-top: 1px solid #777;border-bottom: 1px solid #777;padding: 7px 0;}",
        "table tr > td div:not(:first-child):not(:last-child):not(:nth-child(2)):not(:nth-last-child(1)){border-top: none;border-bottom: 1px solid #777;padding: 7px 0;}",
        "table tr> td div:last-child:nth-child(2) {border-top: 1px solid #777;}",
        "</style></head >"
      );
      newWindow?.document.write("<body>");
      newWindow?.document.write(divContents ?? "");
      newWindow?.document.write("</body></html>");
      newWindow?.document.close();
      newWindow?.focus();
      newWindow?.print();
      newWindow?.close();
    };
    return { printBetList, textHelper };
  },
});
</script>
<style lang="scss" scoped>
.borderDashed {
  border-top: 1.5px solid;
  border-style: dashed;
}
.el-button {
  color: #000000;
  border-color: var(--border);
  font-weight: 700;
  &:hover {
    border-color: var(--primary);
    color: #ffff;
    background-color: var(--primary);
  }
}
</style>
